Net::DNS::RR::SRV(3)

NAME
Net::DNS::RR::SRV - DNS SRV resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name SRV priority weight port target');

DESCRIPTION
Class for DNS Service (SRV) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  priority
    $priority = $rr->priority;

Returns the priority for this target host.

  weight
    $weight = $rr->weight;

Returns the weight for this target host.

  port
    $port = $rr->port;

Returns the port number for the service on this target host.

  target
    $target = $rr->target;

Returns the domain name of the target host.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

Portions Copyright (c)2005 Olaf Kolkman, NLnet Labs.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC2782